/**
 * <copyright>
 * </copyright>
 *
 * $Id: ConfigurationValidator.java,v 1.2 2007-08-04 15:27:05 ffillion Exp $
 */
package org.openembedd.checker.modelConfig.validation;

import org.eclipse.emf.common.util.EList;

/**
 * A sample validator interface for {@link org.openembedd.checker.modelConfig.Configuration}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ConfigurationValidator {
	boolean validate();

	boolean validateOwnedState(EList<?> value);
	boolean validateOwnedAction(EList<?> value);
	boolean validateOwnedProfil(EList<?> value);
	boolean validateOwnedResource(EList<?> value);
	boolean validateOwnedCategory(EList<?> value);
	boolean validateOwnedPackage(EList<?> value);
	boolean validateOwnedGroup(EList<?> value);
	boolean validateConfigVersion(String value);
}
